2017-08-22 04:20 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002187NetSurfLayoutpublic2017-04-28 15:49
ReporterRichard Porter 
Assigned ToMichael Drake 
SeverityminorReproducibilityalways 
StatusresolvedResolutionfixed 
PlatformRiscPCOSRISC OSOS Version6.14
Product Version3.3 
Target Version3.7Fixed in Version3.7 
Summary0002187: Text not flowed around box
DescriptionThis web site has a box headed "Volunteers" which appears on every page. It's tied to the header. The main text on each page is partially obscured by this box. It should be word-wrapped so it stops short of the box.
Steps To ReproduceGo to problem page. Optionally follow links to other pages.
TagsNo tags attached.
Fixed in CI build #4083
Reported in CI build #2058
URL of problem pagehttp://www.wdtn.org.uk
Attached Files

-Relationships
+Relationships

-Notes
Richard Porter

~0000462

Richard Porter (reporter)

Applies also to CI 0002070.
Michael Drake

~0001546

Michael Drake (administrator)

Last edited: 2017-04-26 17:55

View 2 revisions

Added a test case. Seems to be CSS box-sizing and max-width related. We'll need CSS3 box-sizing to fix it.

Michael Drake

~0001547

Michael Drake (administrator)

Added support for box-sizing to LibCSS.
Next is to add support for box-sizing to NetSurf's layout code.
Michael Drake

~0001548

Michael Drake (administrator)

Implemented support for the CSS3 box-sizing property in NetSurf's layout code.

This improves the page layout. At some window widths there is now no overlap. I'm not yet sure what else is wrong with that page, but it may be media-queries.
Michael Drake

~0001549

Michael Drake (administrator)

Traced the problem to a max-width width constraint being applied but that not affecting auto margins. Fixed in #4083.
+Notes

-Issue History
Date Modified Username Field Change
2014-08-29 22:42 Richard Porter New Issue
2014-08-29 22:47 Richard Porter Note Added: 0000462
2014-09-02 11:13 Vincent Sanders Assigned To => Michael Drake
2014-09-02 11:13 Vincent Sanders Status new => acknowledged
2014-09-02 11:13 Vincent Sanders Category General => Layout
2014-09-02 11:13 Vincent Sanders Product Version => 3.3
2017-04-26 17:53 Michael Drake File Added: overlap.html
2017-04-26 17:54 Michael Drake Note Added: 0001546
2017-04-26 17:55 Michael Drake Note Edited: 0001546 View Revisions
2017-04-27 14:39 Michael Drake Note Added: 0001547
2017-04-27 16:55 Michael Drake Note Added: 0001548
2017-04-28 15:49 Michael Drake Status acknowledged => resolved
2017-04-28 15:49 Michael Drake Resolution open => fixed
2017-04-28 15:49 Michael Drake Fixed in Version => 3.7
2017-04-28 15:49 Michael Drake Target Version => 3.7
2017-04-28 15:49 Michael Drake Fixed in CI build # => 4083
2017-04-28 15:49 Michael Drake Note Added: 0001549
+Issue History